--
-- sampleUsage
--
-- @author:    	Xentro (Marcus@Xentro.se)
-- @website:	www.Xentro.se
-- @history:	v1.0 - 2015-06-15 - Initial implementation
-- 

sampleUsage = {};

function sampleUsage.prerequisitesPresent(specializations)
	return true;
end;

function sampleUsage:load(xmlFile)
	-- works against the playerInRange script
	self.playerInRangeTool = {};
	-- only shows in F1 hud, if you scripted it to do so as in update function
	self.playerInRangeTool[1] = {};
	self.playerInRangeTool[1].node = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.playerInRangeNode#index1"));
	self.playerInRangeTool[1].playerDistance = 2;
	
	-- shows the inputbinding on the node location, no extra scripting is needed.
	self.playerInRangeTool[2] = {};
	self.playerInRangeTool[2].node = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.playerInRangeNode#index2"));
	self.playerInRangeTool[2].playerDistance = 2;
	self.playerInRangeTool[2].interactiveData = {text1 = g_i18n:getText("HARDPOINT_TRAILER_OPEN"), text2 = g_i18n:getText("HARDPOINT_TRAILER_CLOSE"), functionName = "setDoorAnimation", boolName = "allowEnterWorkshop", offset = {0, -0.1, 0}};
end;

function sampleUsage:delete()
end;

function sampleUsage:readStream(streamId, connection)
end;

function sampleUsage:writeStream(streamId, connection)
end;

function sampleUsage:mouseEvent(posX, posY, isDown, isUp, button)
end;

function sampleUsage:keyEvent(unicode, sym, modifier, isDown)
end;

function sampleUsage:update(dt)
	if self.isClient then
		if g_currentMission.player ~= nil and g_currentMission.player.closestTool ~= nil then
			if g_currentMission.player.closestTool == self then
				if g_currentMission.player.closestToolLocationId == 1 then
					-- playerInRangeTool indice 1
				end;
				
				g_currentMission:addExtraPrintText("You are inRange of " .. g_currentMission.player.closestToolLocationId);
			end;
		end;
	end;
end;

function sampleUsage:updateTick(dt)
end;

function sampleUsage:draw()
end;